(function ($) {

	$.fn.highlightToday = function(option) {
		var d = new Date(),
			day = '0' + d.getDate(),
			month = '0' + (d.getMonth() + 1),
			year = d.getFullYear(),
			client_date = year + '-' + month.slice(-2) + '-' + day.slice(-2),
			$today = $('.style_Today', this),
			server_date = $today.attr('server_date');//client_date='2014-01-07'; // Test data
		if (typeof server_date === 'undefined' || client_date !== server_date) {
			// Server date not in the displayed month - or client date is different
			$today.removeClass('style_Today');
			$('.style_Day[server_date="' + client_date + '"]', this).addClass('style_Today');
			// Check whether the correct month is loaded if today is required to be shown
			if (option === 'show_today') {
				if ($('.style_Today', this).length === 0) {
					// The current date is not shown (because of offset between server and client date)
					if (client_date > server_date) {
						// Load next month
						$('.nextic', this).click();
					} else {
						// Load previous month
						$('.backic', this).click();
					}
				}
			}
		}
		// Support chaining
		return this;
	};

}(jQuery));
